package com.isu.gaswellwatch.modbus.data.decode.impl;

import cn.hutool.core.map.MapUtil;
import com.isu.gaswellwatch.modbus.data.ModbusMessage;
import com.isu.gaswellwatch.modbus.data.decode.DecodeHandler;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author <a href="mailto:shilong.wang@alpha-ess.com">王仕龙</a>
 * 2025/2/22 00:56
 */
@Component(ByteToStringDecodeHandler.NAME + DecodeHandler.DECODE_NAME)
public class ByteToStringDecodeHandler implements DecodeHandler {

    public static final String NAME = "byteToString";

    @Override
    public String decode(Map<String, Object> commandPointMap, String value) {
//        if (StringUtils.isBlank(value)) {
//            return value;
//        }
//        int length = value.length() / 4;
//        byte[] bytes = new byte[length];
//        for (int i = 0; i < length; i++) {
//            bytes[0] = NumberUtils.createInteger(value.substring(i * 4, i * 4 + 4)).byteValue();
//        }
        return value;
    }

    @Override
    public void decode(Map<String, Object> commandPointMap, ModbusMessage.MessagePoint point) {
        point.setValue(this.decode(commandPointMap, MapUtil.getBool(commandPointMap, "use_hex", Boolean.FALSE) ? point.getOriginalValue() : point.getValue()));
    }

}
