INSERT INTO `$TableName$`(`id`, `device_id`, `created_time`, `collection_time`, `receive_time`, `report_status`,
                          `current_status`, `current_time`, `remaining_time`, `current_status_0x`,
                          `oil_pressure`, `oil_pressure_temperature`, `cas_pressure`, `cas_pressure_temperature`,
                          `quantity_of_electricity`, `pluger_rising_speed`, `gas_well_number`, `depth_of_lock_device`,
                          `arriving_sensor`, `zigbee`, `pulse_width`, `plug_rising_speed`, `plug_too_fast_speed`,
                          `plug_too_slow_speed`, `gas_well_name`, `oil_and_cas_data_collection_interval`,
                          `store_data_interval_on_open_well`, `store_data_interval_on_close_well`,
                          `communication_power_threshold`, `reserve1`, `start_time_of_daytime`,
                          `end_time_of_daytime`, `control_work_time`, `produce_mode`, `plunger_rise_time`,
                          `dangerous_rise_time`, `too_fast_rise_time`, `too_slow_rise_time`, `too_fast_count`,
                          `too_fast_raise_open_well_time`, `too_fast_lower_close_well_time`,
                          `too_slow_lower_open_well_time`, `too_slow_raise_close_well_time`,
                          `check_stability_time`, `min_close_well_time`, `max_close_well_time`,
                          `well_close_time_not_reached_duration`, `min_open_well_time`,
                          `max_open_well_time`, `after_flow_time`, `not_reached_flow_time`, `close_time`,
                          `open_time`, `open_pressure`, `close_pressure`, `little_rise_pressure`, `gas_collection_mode`,
                          `reserve2`, `protection_pressure`)
VALUES (?, ?, NOW(), ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
        ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?) ON DUPLICATE KEY
UPDATE receive_time =
VALUES (receive_time), report_status =
VALUES (report_status), current_status =
VALUES (current_status), `current_time` =
VALUES (`current_time`), remaining_time =
VALUES (remaining_time), current_status_0x =
VALUES (current_status_0x), oil_pressure =
VALUES (oil_pressure), oil_pressure_temperature =
VALUES (oil_pressure_temperature), cas_pressure =
VALUES (cas_pressure), cas_pressure_temperature =
VALUES (cas_pressure_temperature), quantity_of_electricity =
VALUES (quantity_of_electricity), pluger_rising_speed =
VALUES (pluger_rising_speed), gas_well_number =
VALUES (gas_well_number), depth_of_lock_device =
VALUES (depth_of_lock_device), arriving_sensor =
VALUES (arriving_sensor), zigbee =
VALUES (zigbee), pulse_width =
VALUES (pulse_width), plug_rising_speed =
VALUES (plug_rising_speed), plug_too_fast_speed =
VALUES (plug_too_fast_speed), plug_too_slow_speed =
VALUES (plug_too_slow_speed), gas_well_name =
VALUES (gas_well_name), oil_and_cas_data_collection_interval =
VALUES (oil_and_cas_data_collection_interval), store_data_interval_on_open_well =
VALUES (store_data_interval_on_open_well), store_data_interval_on_close_well =
VALUES (store_data_interval_on_close_well), communication_power_threshold =
VALUES (communication_power_threshold), reserve1 =
VALUES (reserve1), start_time_of_daytime =
VALUES (start_time_of_daytime), end_time_of_daytime =
VALUES (end_time_of_daytime), control_work_time =
VALUES (control_work_time), produce_mode =
VALUES (produce_mode), plunger_rise_time =
VALUES (plunger_rise_time), dangerous_rise_time =
VALUES (dangerous_rise_time), too_fast_rise_time =
VALUES (too_fast_rise_time), too_slow_rise_time =
VALUES (too_slow_rise_time), too_fast_count =
VALUES (too_fast_count), too_fast_raise_open_well_time =
VALUES (too_fast_raise_open_well_time), too_fast_lower_close_well_time =
VALUES (too_fast_lower_close_well_time), too_slow_lower_open_well_time =
VALUES (too_slow_lower_open_well_time), too_slow_raise_close_well_time =
VALUES (too_slow_raise_close_well_time), check_stability_time =
VALUES (check_stability_time), min_close_well_time =
VALUES (min_close_well_time), max_close_well_time =
VALUES (max_close_well_time), well_close_time_not_reached_duration =
VALUES (well_close_time_not_reached_duration), min_open_well_time =
VALUES (min_open_well_time), max_open_well_time =
VALUES (max_open_well_time), after_flow_time =
VALUES (after_flow_time), not_reached_flow_time =
VALUES (not_reached_flow_time), close_time =
VALUES (close_time), open_time =
VALUES (open_time), open_pressure =
VALUES (open_pressure), close_pressure =
VALUES (close_pressure), little_rise_pressure =
VALUES (little_rise_pressure), gas_collection_mode =
VALUES (gas_collection_mode), reserve2 =
VALUES (reserve2), protection_pressure =
VALUES (protection_pressure)
