package com.isu.gaswellwatch.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;

/**
 *
 * @author scwsl
 * @date 2024-11-17
 */
@Getter
@Setter
@NoArgsConstructor
@EqualsAndHashCode
@ToString(callSuper = true)
public class SwitchStatusExport extends Model<SwitchStatusExport> {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 气井名称
     */
    private String gasWellName;

    /**
     * 品牌名称
     */
    private String productName;

    /**
     * 油压
     */
    private String oilPressure;

    /**
     * 套压
     */
    private String casPressure;
    /**
     * 开关状态
     */
    private String switchStatus;

    /**
     * 区块ID
     */
    private Long blockId;

    /**
     * 创建时间
     */
    private String createTime;

}
