package com.isu.gaswellwatch.vo.command.weps;

import com.isu.gaswellwatch.dto.modbus.ModbusCommandDto;
import com.isu.gaswellwatch.vo.command.Command;

import java.io.Serial;
import java.util.Collection;
import java.util.List;

/**
 * 老版威尔普斯关井
 *
 * @author <a href="mailto:scwsl@foxmail.com">王仕龙</a>
 * 2024/11/26 19:57
 */
public class MiWepsTurnOff extends Command {

    @Serial
    private static final long serialVersionUID = -6219690846185319542L;

    public MiWepsTurnOff() {
        this.setCode("MI_WEPS.TURN_OFF_THE_WELL");
    }

    @Override
    protected Collection<ModbusCommandDto> builderModbusCommand() {
        return List.of(ModbusCommandDto.builder().command("010600010000").length(16).build());
    }
}
