package com.isu.gaswellwatch.vo.command.weps;

import com.isu.gaswellwatch.dto.modbus.ModbusCommandDto;
import com.isu.gaswellwatch.vo.command.Command;

import java.io.Serial;
import java.util.Collection;
import java.util.List;

/**
 * 威尔普斯开井
 *
 * @author <a href="mailto:scwsl@foxmail.com">王仕龙</a>
 * 2024/11/26 19:57
 */
public class WepsTurnOn extends Command {

    @Serial
    private static final long serialVersionUID = -7123367842204864916L;

    public WepsTurnOn() {
        this.setCode("WEPS.TURN_ON_THE_WELL");
    }

    @Override
    protected Collection<ModbusCommandDto> builderModbusCommand() {
        return List.of(ModbusCommandDto.builder().command("010600400001").length(16).build());
    }

}
