INSERT INTO `dictionary` (`id`, `type`, `code`, `name`, `value`, `sort`, `create_time`, `update_time`)
VALUES (29, 'deviceProduct', 'mi_weps_plug', 'MI维尔普斯', '5', 5, now(), now());

INSERT INTO `dictionary` (`id`, `type`, `code`, `name`, `value`, `sort`, `create_time`, `update_time`)
VALUES (30, 'wepsRunMode', 'unknow', '未知', '0', 1, now(), now());
INSERT INTO `dictionary` (`id`, `type`, `code`, `name`, `value`, `sort`, `create_time`, `update_time`)
VALUES (31, 'wepsRunMode', 'dskgj', '定时开关井', '1', 2, now(), now());
INSERT INTO `dictionary` (`id`, `type`, `code`, `name`, `value`, `sort`, `create_time`, `update_time`)
VALUES (32, 'wepsRunMode', 'ylyhws', '压力优化微升', '2', 3, now(), now());
INSERT INTO `dictionary` (`id`, `type`, `code`, `name`, `value`, `sort`, `create_time`, `update_time`)
VALUES (33, 'wepsRunMode', 'zdyh', '自动优化', '3', 4, now(), now());
INSERT INTO `dictionary` (`id`, `type`, `code`, `name`, `value`, `sort`, `create_time`, `update_time`)
VALUES (34, 'miWepsRunMode', 'dskgj', '定时开关井', '0', 1, now(), now());
INSERT INTO `dictionary` (`id`, `type`, `code`, `name`, `value`, `sort`, `create_time`, `update_time`)
VALUES (35, 'miWepsRunMode', 'sjyhms', '时间优化模式', '1', 2, now(), now());
INSERT INTO `dictionary` (`id`, `type`, `code`, `name`, `value`, `sort`, `create_time`, `update_time`)
VALUES (36, 'miWepsRunMode', 'ylwsms', '压力微升模式', '2', 3, now(), now());
INSERT INTO `dictionary` (`id`, `type`, `code`, `name`, `value`, `sort`, `create_time`, `update_time`)
VALUES (37, 'miWepsRunMode', 'ylhsms', '压力回升模式', '3', 4, now(), now());
INSERT INTO `dictionary` (`id`, `type`, `code`, `name`, `value`, `sort`, `create_time`, `update_time`)
VALUES (38, 'miWepsRunMode', 'yldlms', '压力跌落模式', '4', 5, now(), now());

INSERT INTO `commands` (`id`, `ref_type`, `ref_id`, `name`, `code`, `type`, `collection_frequency`, `command`,
                        `start_address`, `message_length`, `details`)
VALUES (10301, 'DEVICE_PRODUCT_CODE', 29, '采集实时数据地址表', 'READ_REAL_TIME_DATA', 'COLLECTION', 30, '010300000016',
        0, 98, '(老板)维尔普斯控制器实时数据地址表');
INSERT INTO `commands` (`id`, `ref_type`, `ref_id`, `name`, `code`, `type`, `collection_frequency`, `command`,
                        `start_address`, `message_length`, `details`)
VALUES (10302, 'DEVICE_PRODUCT_CODE', 29, '采集控制器参数地址表', 'READ_CONTROL_PARAM_DATA', 'COLLECTION', 30,
        '010303EC0047', 1004, 294, '(老板)维尔普斯控制器参数地址表数据采集');


INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13100, 10301, 'reportStatus', '报表状态',
        '0:无报表数据; 1:有分钟记录; 2:有小时记录; 3:有日志记录; 4:有生产记录', 0, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13101, 10301, 'currentStatus', '当前状态', '0:关井; 1:上升; 2:续流; 3:停机', 1, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13102, 10301, 'currentTime', '当前时间',
        '控制器时间。\n示例：0x4830:0x0211:0x0924:0x2013。\n结果：2013-09-24 11:48:30', 3, 4, NULL, NULL, '%s:%s:%s:%s',
        'wepsCurrentLocalDateTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13103, 10301, 'remainingTime', '剩余时间', '组合后时间格式：天.小时:分钟:秒\n示例：0x0930:0x0001\n结果：0.1:09:30',
        7, 2, NULL, NULL, '%s:%s', 'wepsRemainingLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13104, 10301, 'currentStatus0x', '当前状态0x', '0x8000:关井；0x8001:上升；0x8002:续流；0x8003:停机', 9, 2, NULL,
        NULL, '%s.%s', 'wepsDecimal');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13105, 10301, 'oilPressure', '油压', '单位：MPa', 10, 2, NULL, NULL, '%s.%s', 'wepsDecimal');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13106, 10301, 'oilPressureTemperature', '油压表测量温度', '单位：℃', 12, 2, NULL, NULL, '%s.%s', 'wepsDecimal');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13107, 10301, 'casPressure', '套压', '单位：MPa', 14, 2, NULL, NULL, '%s.%s', 'wepsDecimal');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13108, 10301, 'casPressureTemperature', '套压测量温度', '单位：℃', 16, 2, NULL, NULL, '%s.%s', 'wepsDecimal');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13109, 10301, 'quantityOfElectricity', '控制器电量', '单位：%', 18, 2, NULL, NULL, '%s.%s', 'wepsDecimal');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13110, 10301, 'plugRisingSpeed', '柱塞上升速度', '单位：米/分钟', 20, 2, NULL, NULL, '%s.%s', 'wepsDecimal');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13200, 10302, 'gasWellNumber', '气井编号', NULL, 1004, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13201, 10302, 'depthOfLockDevice', '卡定器深度', '单位：米', 1005, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13202, 10302, 'arrivingSensor', '到达传感器', '0/1：禁用/启用', 1006, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13203, 10302, 'zigbee', 'Zigbee', '0/1：禁用/启用', 1007, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13204, 10302, 'pulseWidth', '脉冲宽度', '驱动电磁阀使用', 1008, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13205, 10302, 'plugRisingSpeed', '上升速度', '米/分钟', 1009, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13206, 10302, 'plugTooFastSpeed', '过快速度', '米/分钟', 1010, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13207, 10302, 'plugTooSlowSpeed', '过缓速度', '米/分钟', 1011, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13208, 10302, 'gasWellName', '气井名称', NULL, 1012, 16, NULL, NULL, NULL, 'byteToString');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13209, 10302, 'oilAndCasDataCollectionInterval', '油、套压数据采集间隔',
        '0：每5秒采样；1：每10秒采样；2：每15秒采样；3：每30秒采样；4：每1秒采样；5：每2秒采样；6：每3秒采样；7：每4秒采样', 1028, 1,
        NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13210, 10302, 'storeDataIntervalOnOpenWell', '数据存储间隔（开井期间）',
        '0：每1分钟存储；1：每5分钟存储；2：每10分钟存储；3：每15分钟存储；4：每30秒存储；5：每15秒存储；6：每5秒存储', 1029, 1,
        NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13211, 10302, 'storeDataIntervalOnCloseWell', '数据存储间隔（关井期间）',
        '0：每1分钟存储；1：每5分钟存储；2：每10分钟存储；3：每15分钟存储；4：每30秒存储；5：每15秒存储；6：每5秒存储', 1030, 1,
        NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13212, 10302, 'communicationPowerThreshold', '通信电量门限', 'Zigbee通讯使用', 1031, 2, NULL, NULL, NULL,
        'highLowBin');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13213, 10302, 'reserve1', '保留', 'Zigbee通讯使用', 1033, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13214, 10302, 'startTimeOfDaytime', '白天起始时间', 'Zigbee通讯使用', 1034, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13215, 10302, 'endTimeOfDaytime', '白天结束时间', 'Zigbee通讯使用', 1035, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13216, 10302, 'controlWorkTime', '控制器工作状态', '0：生产模式；1：常开模式；2：常关模式', 1036, 1, NULL, NULL,
        NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13217, 10302, 'produceMode', '生产制度设置',
        '0：定时开关井；1：时间优化模式；2：压力微升模式；3：压力回升模式；4：压力跌落模式', 1037, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13218, 10302, 'plungerRiseTime', '上升时间', '单位：秒', 1038, 1, NULL, NULL, NULL, 'secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13219, 10302, 'dangerousRiseTime', '危险上升时间', '单位：秒', 1039, 1, NULL, NULL, NULL, 'secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13220, 10302, 'tooFastRiseTime', '过快上升时间', '单位：秒', 1040, 1, NULL, NULL, NULL, 'secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13221, 10302, 'tooSlowRiseTime', '过缓上升时间', '单位：秒', 1041, 1, NULL, NULL, NULL, 'secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13222, 10302, 'tooFastCount', '过快次数', NULL, 1042, 1, NULL, NULL, NULL, 'secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13223, 10302, 'tooFastRaiseOpenWellTime', '过快增加开井时间', '单位：秒', 1043, 1, NULL, NULL, NULL,
        'secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13224, 10302, 'tooFastLowerCloseWellTime', '过快减少关井时间', '单位：秒', 1044, 1, NULL, NULL, NULL,
        'secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13225, 10302, 'tooSlowLowerOpenWellTime', '过缓减少开井时间', '单位：秒', 1045, 1, NULL, NULL, NULL,
        'secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13226, 10302, 'tooSlowRaiseCloseWellTime', '过缓增加关井时间', '单位：秒', 1046, 1, NULL, NULL, NULL,
        'secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13227, 10302, 'checkStabilityTime', '检测稳定时间', '单位：秒', 1047, 1, NULL, NULL, NULL, 'secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13228, 10302, 'minCloseWellTime', '最小关井时间', '单位：秒', 1048, 2, NULL, NULL, NULL,
        'highLowBin,secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13229, 10302, 'maxCloseWellTime', '最大关井时间', '单位：秒', 1050, 2, NULL, NULL, NULL,
        'highLowBin,secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13230, 10302, 'wellCloseTimeNotReachedDuration', '未到达关井时间', '单位：秒', 1052, 2, NULL, NULL, NULL,
        'highLowBin,secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13231, 10302, 'minOpenWellTime', '最小开井时间', '单位：秒', 1054, 2, NULL, NULL, NULL,
        'highLowBin,secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13232, 10302, 'maxOpenWellTime', '最大开井时间', '单位：秒', 1056, 2, NULL, NULL, NULL,
        'highLowBin,secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13233, 10302, 'afterFlowTime', '续流时间', '单位：秒', 1058, 2, NULL, NULL, NULL, 'highLowBin,secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13234, 10302, 'notReachedFlowTime', '未到续流时间', '单位：秒', 1060, 2, NULL, NULL, NULL,
        'highLowBin,secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13235, 10302, 'closeTime', '关井时间', '单位：秒', 1062, 2, NULL, NULL, NULL, 'highLowBin,secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13236, 10302, 'openTime', '开井时间', '单位：秒', 1064, 2, NULL, NULL, NULL, 'highLowBin,secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13237, 10302, 'openPressure', '开井压力', '单位：MPa', 1066, 2, NULL, NULL, '%s.%s', 'wepsDecimal');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13238, 10302, 'closePressure', '关井压力', '单位：MPa', 1068, 2, NULL, NULL, '%s.%s', 'wepsDecimal');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13239, 10302, 'littleRisePressure', '微升压力', '单位：MPa', 1070, 2, NULL, NULL, '%s.%s', 'wepsDecimal');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13240, 10302, 'gasCollectionMode', '集气模式', '0：低压集气模式；1：高压集气模式', 1072, 1, NULL, NULL, NULL,
        NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13241, 10302, 'reserve2', '保留', NULL, 1073, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13242, 10302, 'protectionPressure', '保护压力', '单位：MPa', 1074, 2, NULL, NULL, '%s.%s', 'wepsDecimal');



UPDATE `commands`
SET `ref_type`             = 'DEVICE_PRODUCT_CODE',
    `ref_id`               = 29,
    `name`                 = '采集控制器参数地址表',
    `code`                 = 'READ_CONTROL_PARAM_DATA',
    `type`                 = 'COLLECTION',
    `collection_frequency` = 30,
    `command`              = '010303EC0048',
    `start_address`        = 1004,
    `message_length`       = 202,
    `details`              = '(老板)维尔普斯控制器参数地址表数据采集'
WHERE `id` = 10302;

ALTER TABLE `command_points`
    ADD COLUMN `use_hex` bit NULL COMMENT '采用16进制值' AFTER `precision`;

UPDATE `command_points`
SET `command_id`    = 10301,
    `field`         = 'currentTime',
    `name`          = '当前时间',
    `details`       = '控制器时间。\n示例：0x4830:0x0211:0x0924:0x2013。\n结果：2013-09-24 11:48:30',
    `start_address` = 3,
    `step_size`     = 4,
    `factor`        = NULL,
    `precision`     = NULL,
    `use_hex`       = b'1',
    `format`        = '%s:%s:%s:%s',
    `decode_name`   = 'wepsCurrentLocalDateTime'
WHERE `id` = 13102;
UPDATE `command_points`
SET `command_id`    = 10301,
    `field`         = 'remainingTime',
    `name`          = '剩余时间',
    `details`       = '组合后时间格式：天.小时:分钟:秒\n示例：0x0930:0x0001\n结果：0.1:09:30',
    `start_address` = 7,
    `step_size`     = 2,
    `factor`        = NULL,
    `precision`     = NULL,
    `use_hex`       = b'1',
    `format`        = '%s:%s',
    `decode_name`   = 'wepsRemainingLocalTime'
WHERE `id` = 13103;
UPDATE `command_points`
SET `command_id`    = 10302,
    `field`         = 'gasWellName',
    `name`          = '气井名称',
    `details`       = NULL,
    `start_address` = 1012,
    `step_size`     = 16,
    `factor`        = NULL,
    `precision`     = NULL,
    `use_hex`       = b'1',
    `format`        = NULL,
    `decode_name`   = 'byteToString'
WHERE `id` = 13208;

update command_points
set format      = null,
    decode_name = 'IEEE754Float'
where decode_name = 'wepsDecimal';

update command_points
set factor      = null,
    `precision` = null,
    decode_name = 'minuteLocalTime'
where id in (13021, 13022);

ALTER TABLE `t_device_data_50001`
    MODIFY COLUMN `open_well_time` varchar (10) NULL DEFAULT NULL COMMENT '开井时间设置；分钟，HH:mm' AFTER `too_fast_rise_time`,
    MODIFY COLUMN `close_well_time` varchar (10) NULL DEFAULT NULL COMMENT '关井时间设置；分钟，HH:mm' AFTER `open_well_time`;

update t_device_data_50001
set open_well_time  = CONCAT(LPAD(CEILING(open_well_time), 2, '0'), ':',
                             LPAD(open_well_time * 60 - (CEILING(open_well_time) * 60), 2, '0'), ':00'),
    close_well_time = CONCAT(LPAD(CEILING(close_well_time), 2, '0'), ':',
                             LPAD(close_well_time * 60 - (CEILING(close_well_time) * 60), 2, '0'), ':00');

ALTER TABLE `command_points`
    ADD COLUMN `byte_order` varchar(5) NULL COMMENT '字节顺序，默认：AB|ABCD' AFTER `use_hex`;

update `command_points`
set byte_order  = 'CDAB',
    `use_hex`   = b'1',
    decode_name = case
                      when LENGTH(TRIM(decode_name)) > 0 then CONCAT('twoRegisterLengthByteOrder,', decode_name)
                      else 'twoRegisterLengthByteOrder' end
where command_id in (10301, 10302)
  and step_size = 2
  and id not in (13103);

update command_points
Set decode_name = REPLACE(decode_name, ',highLowBin', ',long')
where command_id in (10301, 10302)
  and step_size = 2
  and id not in (13103);

UPDATE `gas_well_watch`.`command_points`
SET `command_id`    = 10301,
    `field`         = 'currentStatus0x',
    `name`          = '当前状态0x',
    `details`       = '0x8000:关井；0x8001:上升；0x8002:续流；0x8003:停机',
    `start_address` = 9,
    `step_size`     = 1,
    `factor`        = NULL,
    `precision`     = NULL,
    `use_hex`       = b'1',
    `byte_order`    = '',
    `format`        = NULL,
    `decode_name`   = 'wepsCurrentStatus0x'
WHERE `id` = 13104;

update command_points
set `precision` = 2
where decode_name like '%IEEE754Double%';

UPDATE `gas_well_watch`.`command_points`
SET `command_id`    = 10302,
    `field`         = 'tooFastCount',
    `name`          = '过快次数',
    `details`       = NULL,
    `start_address` = 1042,
    `step_size`     = 1,
    `factor`        = NULL,
    `precision`     = NULL,
    `use_hex`       = NULL,
    `byte_order`    = NULL,
    `format`        = NULL,
    `decode_name`   = NULL
WHERE `id` = 13222;
