package com.isu.gaswellwatch;


import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

/**
 * @author <a href="mailto:shilong.wang@alpha-ess.com">王仕龙</a>
 * 2025/2/24 20:05
 */
public class IEEE754FloatTest {

    @Test
    public void testIEEE754Float() {
        float number = 235.85213f;
        String hexString = "436BDA25";
        Assertions.assertEquals(number, Float.intBitsToFloat(Integer.parseInt(hexString, 16)));
        Assertions.assertEquals(hexString, Integer.toHexString(Float.floatToRawIntBits(number)).toUpperCase());
    }

    @Test
    public void testIEEE754Double() {
        double number = 4.065528388965132E18;
        String hexString = "43CC35D443CC4433";
        Assertions.assertEquals(number, Double.longBitsToDouble(Long.parseLong(hexString, 16)));
        Assertions.assertEquals(hexString, Long.toHexString(Double.doubleToRawLongBits(number)).toUpperCase());
    }


}
